--- src/Makefile.orig	2015-01-24 09:51:25.000000000 -0600
+++ src/Makefile	2015-01-24 18:32:57.000000000 -0600
@@ -12,38 +12,18 @@
 # Better alternative: define an OCTAVE_VERSION bash variable (or in .bashrc or .profile)
 #OCTAVE_VERSION=-3.8.2
 
-# Matlab configuration
-#MATLABDIR = /usr/local/MATLAB/R2010b
-# comment the following line if you use MATLAB on 32-bit operating system
-MEX_OPTION += -largeArrayDims
-
-# Mingw crosscompiler: available at http://www.nongnu.org/mingw-cross-env/
-CROSS   = $(HOME)/src/mxe/usr/bin/i686-w64-mingw32.static-
-CROSS64 = $(HOME)/src/mxe/usr/bin/x86_64-w64-mingw32.static-
-# include directory for Win32-Matlab include
-W32MAT_INC = $(HOME)/bin/win32/Matlab/R2010b/extern/include/
-W64MAT_INC = $(HOME)/bin/win64/Matlab/R2010b/extern/include/
-# path to GNUMEX libraries, available from here http://sourceforge.net/projects/gnumex/
-GNUMEX   = $(HOME)/bin/win32/gnumex
-GNUMEX64 = $(HOME)/bin/win64/gnumex
-# building gnumex64 was difficult, these hints were quite useful: 
-# http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTinZvxgC9ezp2P3UCX_a7TAUYuVsp2U40MQUV6qr%40mail.gmail.com&forum_name=gnumex-users
-# Instead of building "mex shortpath.c" and "mex uigetpath.c", I used empty m-functions within argout=argin; 
-####################################################
-
-CC      = gcc
-CXX     = g++
+#CC      = gcc
+#CXX     = g++
 CFLAGS 	= -fopenmp -Wall -Wextra -Wconversion -O2 -fPIC 
-OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex
+OCTMEX	= mkoctfile --mex
 RM      = rm
 
 ifeq (Linux,$(shell uname))
 CFLAGS      += -fopenmp 
 MEX_OPTION  += -lgomp 
 endif
 
 MEX_OPTION  += CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS) " CXXFLAGS\#"$(CFLAGS) "
-MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)
 
 PROGS = histo_mex.mex covm_mex.mex kth_element.mex sumskipnan_mex.mex str2array.mex train.mex svmtrain_mex.mex svmpredict_mex.mex xptopen.mex 
 
@@ -51,28 +31,7 @@
 mex4o octave: $(PROGS)
 
 
-### Matlab configuration - search for a matlab directory if not defined above
-ifndef MATLABDIR
-  ifneq (,$(shell ls -1 /usr/local/ |grep MATLAB))
-    # use oldest, typically mex-files a compatible with newer Matlab versions 
-    MATLABDIR=/usr/local/MATLAB/$(shell ls -1t /usr/local/MATLAB/  |grep "^R*" |head -1)
-    # alternatively, use latest matlab version
-    #MATLABDIR=$(shell ls -dt1 /usr/local/MATLAB/R* |head -1)
-  endif
-endif
-
-### if the MATLABDIR has been found or defined 
-ifneq (,MATLABDIR)
-  ifneq (,$(shell ls -1 $(MATLABDIR)/bin/mexext))
-    MEX_EXT=$(shell $(MATLABDIR)/bin/mexext)
-    mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
-  endif
-endif
-
-
-mexw32 win32:  $(patsubst %.mex, %.mexw32, $(PROGS))
-mexw64 win64:  $(patsubst %.mex, %.mexw64, $(PROGS))
-all:    octave win32 win64 mex4m
+all:    octave mex4m
 
 clean:
 	-$(RM) *.o *.obj *.o64 core octave-core *.oct *~ *.mex* 
@@ -80,15 +39,13 @@
 #$(PROGS): Makefile
 
 #########################################################
-#	Octave, MATLAB on Linux 
+#	Octave
 #########################################################
 %.oct: %.cc
 	mkoctfile$(OCTAVE_VERSION) "$<"
 
 %.mex: %.cpp
 	$(OCTMEX) "$<"
-%.$(MEX_EXT): %.cpp
-	$(MATMEX) "$<"
 
 svmtrain_mex.mex svmpredict_mex.mex: svmtrain_mex.cpp svm.h svm.cpp svm_model_matlab.c svmpredict_mex.cpp
 	$(CXX) $(CFLAGS) -c svm.cpp
@@ -117,46 +74,3 @@
 tron.o: tron.cpp tron.h
 	$(CXX) $(CFLAGS) -c tron.cpp
 
-
-#########################################################
-#	MATLAB/WIN32
-#########################################################
-%.obj: %.cpp
-	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<"
-%.obj: %.c
-	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<" 
-
-train.mexw32 predict.mexw32:  train.obj linear.obj linear_model_matlab.obj tron.obj
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" linear_model_matlab.obj linear.obj tron.obj -llibmx -llibmex -llibmat -lcholmod -lblas
-
-svmpredict_mex.mexw32 :  svmpredict_mex.obj svm.obj svm_model_matlab.obj 
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat -lcholmod
-svmtrain_mex.mexw32 : svmtrain_mex.obj svm.obj svm_model_matlab.obj
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat -lcholmod
-
-%.mexw32: %.obj
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread
-
-
-
-#########################################################
-#	MATLAB/WIN64
-#########################################################
-
-## ToDO: fix OpenMP support: currently -fopenmp causes Matlab to crash
-%.o64: %.cpp
-	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"
-%.o64: %.c
-	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"
-
-train.mexw64 predict.mexw64:  train.o64 linear.o64 linear_model_matlab.o64 tron.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" linear_model_matlab.o64 linear.o64 tron.o64 -llibmx -llibmex -llibmat -lcholmod -lblas
-
-svmpredict_mex.mexw64 :  svmpredict_mex.o64 svm.o64 svm_model_matlab.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat -lcholmod
-svmtrain_mex.mexw64 : svmtrain_mex.o64 svm.o64 svm_model_matlab.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat -lcholmod
-
-%.mexw64: %.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread
-