diff --git python/py-poppler-qt4/Portfile python/py-poppler-qt4/Portfile
new file mode 100644
index 0000000..9cd5a16
--- /dev/null
+++ python/py-poppler-qt4/Portfile
@@ -0,0 +1,58 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem          1.0
+PortGroup           python 1.0
+
+set _name           python-poppler-qt4
+set _n              [string index ${_name} 0]
+
+name                py-poppler-qt4
+version             0.18.2
+platforms           darwin
+license             LGPL-2.1+
+maintainers         gmail.com:davide.liessi openmaintainer
+
+description         Python binding for Poppler-Qt4
+long_description    ${_name} is a Python binding for Poppler-Qt4.
+
+homepage            https://github.com/wbsoft/${_name}
+master_sites        https://pypi.python.org/packages/source/${_n}/${_name}/
+distname            ${_name}-${version}
+
+checksums           md5     124593f271a0fd513bc93838e2b66fef \
+                    rmd160  6b16a1b39af4ecc63c1faef8375551d9bded8faa \
+                    sha256  b1d176a0e34252f1ea822ccbfb29bd0b7becb7b1db794256da8bfe4e0e1e98f6
+
+python.versions     27 34
+
+if {${name} ne ${subport}} {
+    depends_build-append    port:pkgconfig
+
+    # Can use either py*-pyqt4 or py*-pyqt4-devel.
+    depends_lib-append      port:poppler-qt4-mac \
+                            port:qt4-mac \
+                            port:py${python.version}-sip \
+                            path:share/py${python.version}-sip/PyQt4:py${python.version}-pyqt4
+
+    post-destroot {
+        set doc_dir ${destroot}${prefix}/share/doc/${subport}
+        xinstall -d ${doc_dir}
+        xinstall -m 644 -W ${worksrcpath} \
+            ChangeLog \
+            LICENSE \
+            README \
+            ${doc_dir}
+        set examples_dir ${destroot}${prefix}/share/examples/${subport}
+        xinstall -d ${examples_dir}
+        xinstall -m 644 -W ${worksrcpath} demo.py ${examples_dir}
+    }
+}
+
+livecheck.type  regex
+livecheck.url   https://pypi.python.org/pypi/${_name}
+livecheck.regex ">${_name}-(\\d+(\\.\\d+)+)\\${extract.suffix}<"
+
+if {${name} ne ${subport}} {
+    livecheck.type  none
+}
diff --git python/py-python-poppler-qt4/Portfile python/py-python-poppler-qt4/Portfile
index b15e182..c8a2d8d 100644
--- python/py-python-poppler-qt4/Portfile
+++ python/py-python-poppler-qt4/Portfile
@@ -1,58 +1,11 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
-
 PortSystem          1.0
-PortGroup           python 1.0
-
-set _name           python-poppler-qt4
-set _n              [string index ${_name} 0]
-
-name                py-${_name}
-version             0.18.2
-platforms           darwin
-license             LGPL-2.1+
-maintainers         gmail.com:davide.liessi openmaintainer
-
-description         Python binding for Poppler-Qt4
-long_description    ${_name} is a Python binding for Poppler-Qt4.
-
-homepage            https://github.com/wbsoft/${_name}
-master_sites        https://pypi.python.org/packages/source/${_n}/${_name}/
-distname            ${_name}-${version}
-
-checksums           md5     b9498b37006c8e3a525ad7cb0d2a3fe8 \
-                    rmd160  f1dda7e851a9cc7dcb9eb39e835395fcd9039a89 \
-                    sha256  bb3ec0f6154903911d759e0d95f6b4b68b8fed39831f1590b4962f012e6453d8
-
-python.versions     27 34
-
-if {${name} ne ${subport}} {
-    depends_build-append    port:pkgconfig
-
-    # Can use either py*-pyqt4 or py*-pyqt4-devel.
-    depends_lib-append      port:poppler-qt4-mac \
-                            port:qt4-mac \
-                            port:py${python.version}-sip \
-                            path:share/py${python.version}-sip/PyQt4:py${python.version}-pyqt4
-
-    post-destroot {
-        set doc_dir ${destroot}${prefix}/share/doc/${subport}
-        xinstall -d ${doc_dir}
-        xinstall -m 644 -W ${worksrcpath} \
-            ChangeLog \
-            LICENSE \
-            README \
-            ${doc_dir}
-        set examples_dir ${destroot}${prefix}/share/examples/${subport}
-        xinstall -d ${examples_dir}
-        xinstall -m 644 -W ${worksrcpath} demo.py ${examples_dir}
-    }
-}
-
-livecheck.type  regex
-livecheck.url   https://pypi.python.org/pypi/${_name}
-livecheck.regex ">${_name}-(\\d+(\\.\\d+)+)\\${extract.suffix}<"
-
-if {${name} ne ${subport}} {
-    livecheck.type  none
+name                py-python-poppler-qt4
+foreach i {26 27 32 33 34} {
+    subport py${i}-python-poppler-qt4 {}
 }
+replaced_by         [regsub -- {-python} [string map {26 27 32 34 33 34} ${subport}] {}]
+version             0.18.2
+revision            1
+PortGroup           obsolete 1.0
diff --git editors/frescobaldi/Portfile editors/frescobaldi/Portfile
index b6df9c2..c34b350 100644
--- editors/frescobaldi/Portfile
+++ editors/frescobaldi/Portfile
@@ -6,6 +6,7 @@ PortGroup           python 1.0
 PortGroup           github 1.0
 
 github.setup        wbsoft frescobaldi 2.17.2 v
+revision            1
 conflicts           frescobaldi-devel
 categories          editors python
 maintainers         gmail.com:davide.liessi openmaintainer
@@ -32,7 +33,7 @@ depends_run-append  port:portmidi
 python.default_version  27
 # Can use either py*-pyqt4 or py*-pyqt4-devel.
 depends_run-append  path:share/py${python.default_version}-sip/PyQt4:py${python.default_version}-pyqt4 \
-                    port:py${python.default_version}-python-poppler-qt4
+                    port:py${python.default_version}-poppler-qt4
 
 variant app description {Make application bundle} {
     depends_build-append    port:py${python.default_version}-py2app
diff --git python/py-graveyard/Portfile python/py-graveyard/Portfile
index dd7c113..90650b1 100644
--- python/py-graveyard/Portfile
+++ python/py-graveyard/Portfile
@@ -457,7 +457,6 @@ py-pyside-tools         0.2.15_1    26 32 33
 py-pysparse             1.1.1_2     26
 py-pysvn                1.7.6_4     25
 py-pytest               2.6.3_1     25 26 32 33
-py-python-poppler-qt4   0.18.1_3    26 32 33
 py-pythonutils          0.4.0_1     25 26
 py-pytools              2013.5.6_1  31 32
 py-pyusb                0.4.3_2     25 26