Index: dports/lang/python35/Portfile
===================================================================
--- dports/lang/python35/Portfile	(Revision 0)
+++ dports/lang/python35/Portfile	(Arbeitskopie)
@@ -0,0 +1,168 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem 1.0
+PortGroup select 1.0
+
+name                    python35
+
+# Remember to keep py35-tkinter and py35-gdbm's versions sync'd with this
+version                 3.5.0a1
+revision                0
+
+epoch                   20141008
+
+set major               [lindex [split $version .] 0]
+set branch              [join [lrange [split $version .] 0 1] .]
+set minor               [string index [lindex [split $version .] 2] 0]
+categories              lang
+license                 PSF
+platforms               darwin
+maintainers             jwa openmaintainer
+
+description             An interpreted, object-oriented programming language
+long_description        Python is an interpreted, interactive, object-oriented \
+                        programming language.
+
+homepage                http://www.python.org/
+master_sites            ${homepage}ftp/python/${major}\.{branch}\.{minor}/
+
+distname                Python-${version}
+
+use_xz					yes
+
+checksums               rmd160  29495a3100621030996dd10053a6d4d3ee839af8 \
+                        sha256  3639cce7e4f01926a2463fe0b6cce00690f899bee16a78aa222c5202d48538b5
+
+patchfiles              patch-setup.py.diff \
+                        patch-Lib-cgi.py.diff \
+                        patch-configure.diff \
+                        patch-setup.py-disabled_modules.diff \
+                        patch-libedit.diff \
+                        omit-local-site-packages.patch
+
+depends_lib             port:zlib port:openssl \
+                        port:sqlite3 port:ncurses \
+                        port:bzip2 port:libedit port:gettext \
+                        port:xz
+depends_run             port:python_select
+
+# blacklist llvm-gcc-4.2 compiler known to produce bad code
+compiler.blacklist      *llvm-gcc-4.2
+
+# ensurepip arg may be removed later, now conflicts with pip and setuptools
+# packages
+configure.args          --enable-framework=${frameworks_dir} \
+                        --enable-ipv6 \
+                        --with-computed-gotos \
+                        --with-ensurepip=no
+
+configure.ccache        no
+
+use_parallel_build      yes
+
+post-patch {
+   reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/Lib/cgi.py
+
+   reinplace "s|/setup.py|/setup.py --no-user-cfg|" ${worksrcpath}/Makefile.pre.in
+
+   # replace /Applications with ${applications_dir}
+   reinplace "s|@@APPLICATIONS_DIR@@|${applications_dir}|" \
+      ${worksrcpath}/configure
+
+   # See http://trac.macports.org/changeset/37861
+   reinplace "s|xargs -0 rm -r|/usr/bin/xargs -0 /bin/rm -r|g" \
+      ${worksrcpath}/Mac/PythonLauncher/Makefile.in
+}
+
+build.target            all
+
+# test_cmd_line fails
+# see http://bugs.python.org/issue4388 and
+#     http://bugs.python.org/issue4474
+test.run                yes
+test.target             test
+
+destroot.target         frameworkinstall maninstall
+
+# ensure that correct compiler is used
+build.args-append       MAKE="${build.cmd} CC=${configure.cc}"
+destroot.args-append    MAKE="${destroot.cmd} CC=${configure.cc}"
+
+select.group            python
+select.file             ${filespath}/python[string map {. {}} ${branch}]
+set confdir config-${branch}m
+
+notes "
+To make python ${branch} the default (i.e. the version you get when you run\
+'python'), please run:
+
+sudo port select --set ${select.group} [file tail ${select.file}]
+"
+
+post-destroot {
+   set framewpath ${frameworks_dir}/Python.framework
+   set framewdir  ${framewpath}/Versions/${branch}
+
+   foreach dir { Headers Resources Python Versions/Current } {
+      file delete ${destroot}${framewpath}/${dir}
+   }
+
+   ln -s ${framewdir}/share/man/man1/python${branch}.1 ${destroot}${prefix}/share/man/man1/
+
+   # Without this, LINKFORSHARED is set to
+   # ... $(PYTHONFRAMEWORKDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)
+   # (this becomes Python.framework/Versions/3.2/Python) which doesn't
+   # quite work (see ticket #15099); instead specifically list the
+   # full path to the proper Python framework file (which becomes
+   # ${prefix}/Library/Frameworks/Python.framework/Versions/3.2/Python)
+    reinplace {s|^\(LINKFORSHARED=.*\)$(PYTHONFRAMEWORKDIR).*$|\1 $(PYTHONFRAMEWORKINSTALLDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)|} ${destroot}${framewdir}/lib/python${branch}/$confdir/Makefile
+
+   # remove -arch flags from the config
+    reinplace -E {s|-arch [a-z0-9_]+||g} \
+       ${destroot}${framewdir}/lib/python${branch}/$confdir/Makefile
+    foreach unversioned {2to3 idle3 pydoc3 python3 python3-config pyvenv} {
+        delete ${destroot}${prefix}/bin/${unversioned}
+    }
+}
+
+platform darwin {
+   post-configure {
+      # See http://trac.macports.org/ticket/18376
+      system -W ${worksrcpath} "ed - pyconfig.h < ${filespath}/pyconfig.ed"
+   }
+}
+
+variant universal {
+   post-patch {
+      set universal_arch_flags {}
+      set arch_run_32bit {}
+      foreach arch ${universal_archs} {
+         lappend universal_arch_flags -arch ${arch}
+         if {${arch} eq "i386" || ${arch} eq "ppc"} {
+            lappend arch_run_32bit -${arch}
+         }
+      }
+      reinplace \
+         "s|UNIVERSAL_ARCH_FLAGS=\".*\"|UNIVERSAL_ARCH_FLAGS=\"${universal_arch_flags}\"|" \
+         ${worksrcpath}/configure
+      if { ${arch_run_32bit} != "" } {
+         reinplace \
+            "s|ARCH_RUN_32BIT=\".*\"|ARCH_RUN_32BIT=\"arch ${arch_run_32bit}\"|" \
+            ${worksrcpath}/configure
+      }
+   }
+   if {${configure.sdkroot} != ""} {
+      configure.args-append   --enable-universalsdk=${configure.sdkroot}
+   } else {
+      configure.args-append   --enable-universalsdk=/
+   }
+   post-configure {
+      system -W ${worksrcpath} "ed - pyconfig.h < ${filespath}/pyconfig.h-universal.ed"
+   }
+}
+
+livecheck.type          regex
+#livecheck.url           ${homepage}download/releases/
+livecheck.url           ${homepage}downloads/
+livecheck.regex         Python (${branch}(?:\\.\\d+)*)

Eigenschaftsänderungen: dports/lang/python35/Portfile
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property
Index: dports/lang/python35/files/omit-local-site-packages.patch
===================================================================
--- dports/lang/python35/files/omit-local-site-packages.patch	(Revision 0)
+++ dports/lang/python35/files/omit-local-site-packages.patch	(Arbeitskopie)
@@ -0,0 +1,20 @@
+Index: Lib/site.py
+===================================================================
+--- Lib/site.py.orig
++++ Lib/site.py
+@@ -311,15 +311,6 @@ def getsitepackages(prefixes=None):
+         else:
+             sitepackages.append(prefix)
+             sitepackages.append(os.path.join(prefix, "lib", "site-packages"))
+-        if sys.platform == "darwin":
+-            # for framework builds *only* we add the standard Apple
+-            # locations.
+-            from sysconfig import get_config_var
+-            framework = get_config_var("PYTHONFRAMEWORK")
+-            if framework:
+-                sitepackages.append(
+-                        os.path.join("/Library", framework,
+-                            sys.version[:3], "site-packages"))
+     return sitepackages
+ 
+ def addsitepackages(known_paths, prefixes=None):
Index: dports/lang/python35/files/patch-Lib-cgi.py.diff
===================================================================
--- dports/lang/python35/files/patch-Lib-cgi.py.diff	(Revision 0)
+++ dports/lang/python35/files/patch-Lib-cgi.py.diff	(Arbeitskopie)
@@ -0,0 +1,18 @@
+--- Lib/cgi.py.orig	2006-08-10 19:41:07.000000000 +0200
++++ Lib/cgi.py	2007-08-21 15:36:54.000000000 +0200
+@@ -1,13 +1,6 @@
+-#! /usr/local/bin/python
++#! @@PREFIX@@/bin/python3.2
+ 
+-# NOTE: the above "/usr/local/bin/python" is NOT a mistake.  It is
+-# intentionally NOT "/usr/bin/env python".  On many systems
+-# (e.g. Solaris), /usr/local/bin is not in $PATH as passed to CGI
+-# scripts, and /usr/local/bin is the default directory where Python is
+-# installed, so /usr/bin/env would be unable to find python.  Granted,
+-# binary installations by Linux vendors often install Python in
+-# /usr/bin.  So let those vendors patch cgi.py to match their choice
+-# of installation.
++# NOTE: /usr/local/bin/python patched for MacPorts installation
+ 
+ """Support module for CGI (Common Gateway Interface) scripts.
+ 
Index: dports/lang/python35/files/patch-configure.diff
===================================================================
--- dports/lang/python35/files/patch-configure.diff	(Revision 0)
+++ dports/lang/python35/files/patch-configure.diff	(Arbeitskopie)
@@ -0,0 +1,11 @@
+--- configure.orig	2012-08-13 17:08:58.000000000 +0300
++++ configure	2012-08-13 17:11:07.000000000 +0300
+@@ -3145,6 +3145,8 @@
+ 			;;
+ 		esac
+ 
++		FRAMEWORKINSTALLAPPSPREFIX="@@APPLICATIONS_DIR@@"
++
+ 		prefix=$PYTHONFRAMEWORKINSTALLDIR/Versions/$VERSION
+ 
+ 		# Add files for Mac specific code to the list of output
Index: dports/lang/python35/files/patch-libedit.diff
===================================================================
--- dports/lang/python35/files/patch-libedit.diff	(Revision 0)
+++ dports/lang/python35/files/patch-libedit.diff	(Arbeitskopie)
@@ -0,0 +1,159 @@
+--- configure.orig	2013-10-23 21:50:49.000000000 +0300
++++ configure	2013-10-23 22:03:14.000000000 +0300
+@@ -13882,9 +13882,9 @@
+ $as_echo_n "checking how to link readline libs... " >&6; }
+ for py_libtermcap in "" tinfo ncursesw ncurses curses termcap; do
+   if test -z "$py_libtermcap"; then
+-    READLINE_LIBS="-lreadline"
++    READLINE_LIBS="-ledit"
+   else
+-    READLINE_LIBS="-lreadline -l$py_libtermcap"
++    READLINE_LIBS="-ledit -l$py_libtermcap"
+   fi
+   LIBS="$READLINE_LIBS $LIBS_no_readline"
+   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+@@ -13928,13 +13928,13 @@
+ fi
+ 
+ # check for readline 2.1
+-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_callback_handler_install in -lreadline" >&5
+-$as_echo_n "checking for rl_callback_handler_install in -lreadline... " >&6; }
++{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_callback_handler_install in -ledit" >&5
++$as_echo_n "checking for rl_callback_handler_install in -ledit... " >&6; }
+ if ${ac_cv_lib_readline_rl_callback_handler_install+:} false; then :
+   $as_echo_n "(cached) " >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lreadline $READLINE_LIBS $LIBS"
++LIBS="-ledit $READLINE_LIBS $LIBS"
+ cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+ /* end confdefs.h.  */
+ 
+@@ -13974,7 +13974,7 @@
+ # check for readline 2.2
+ cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+ /* end confdefs.h.  */
+-#include <readline/readline.h>
++#include <editline/readline.h>
+ _ACEOF
+ if ac_fn_c_try_cpp "$LINENO"; then :
+   have_readline=yes
+@@ -13987,7 +13987,7 @@
+ then
+   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+ /* end confdefs.h.  */
+-#include <readline/readline.h>
++#include <editline/readline.h>
+ 
+ _ACEOF
+ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+@@ -14000,7 +14000,7 @@
+ 
+   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+ /* end confdefs.h.  */
+-#include <readline/readline.h>
++#include <editline/readline.h>
+ 
+ _ACEOF
+ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+@@ -14014,13 +14014,13 @@
+ fi
+ 
+ # check for readline 4.0
+-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_pre_input_hook in -lreadline" >&5
+-$as_echo_n "checking for rl_pre_input_hook in -lreadline... " >&6; }
++{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_pre_input_hook in -ledit" >&5
++$as_echo_n "checking for rl_pre_input_hook in -ledit... " >&6; }
+ if ${ac_cv_lib_readline_rl_pre_input_hook+:} false; then :
+   $as_echo_n "(cached) " >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lreadline $READLINE_LIBS $LIBS"
++LIBS="-ledit $READLINE_LIBS $LIBS"
+ cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+ /* end confdefs.h.  */
+ 
+@@ -14058,13 +14058,13 @@
+ 
+ 
+ # also in 4.0
+-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_completion_display_matches_hook in -lreadline" >&5
+-$as_echo_n "checking for rl_completion_display_matches_hook in -lreadline... " >&6; }
++{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_completion_display_matches_hook in -ledit" >&5
++$as_echo_n "checking for rl_completion_display_matches_hook in -ledit... " >&6; }
+ if ${ac_cv_lib_readline_rl_completion_display_matches_hook+:} false; then :
+   $as_echo_n "(cached) " >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lreadline $READLINE_LIBS $LIBS"
++LIBS="-ledit $READLINE_LIBS $LIBS"
+ cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+ /* end confdefs.h.  */
+ 
+@@ -14102,13 +14102,13 @@
+ 
+ 
+ # check for readline 4.2
+-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_completion_matches in -lreadline" >&5
+-$as_echo_n "checking for rl_completion_matches in -lreadline... " >&6; }
++{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_completion_matches in -ledit" >&5
++$as_echo_n "checking for rl_completion_matches in -ledit... " >&6; }
+ if ${ac_cv_lib_readline_rl_completion_matches+:} false; then :
+   $as_echo_n "(cached) " >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lreadline $READLINE_LIBS $LIBS"
++LIBS="-ledit $READLINE_LIBS $LIBS"
+ cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+ /* end confdefs.h.  */
+ 
+@@ -14148,7 +14148,7 @@
+ # also in readline 4.2
+ cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+ /* end confdefs.h.  */
+-#include <readline/readline.h>
++#include <editline/readline.h>
+ _ACEOF
+ if ac_fn_c_try_cpp "$LINENO"; then :
+   have_readline=yes
+@@ -14161,7 +14161,7 @@
+ then
+   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+ /* end confdefs.h.  */
+-#include <readline/readline.h>
++#include <editline/readline.h>
+ 
+ _ACEOF
+ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+--- setup.py.orig	2013-10-23 21:50:56.000000000 +0300
++++ setup.py	2013-10-23 22:06:11.000000000 +0300
+@@ -646,7 +646,7 @@
+         exts.append( Extension('audioop', ['audioop.c']) )
+ 
+         # readline
+-        do_readline = self.compiler.find_library_file(lib_dirs, 'readline')
++        do_readline = self.compiler.find_library_file(lib_dirs, 'edit')
+         readline_termcap_library = ""
+         curses_library = ""
+         # Cannot use os.popen here in py3k.
+@@ -710,7 +710,7 @@
+             else:
+                 readline_extra_link_args = ()
+ 
+-            readline_libs = ['readline']
++            readline_libs = ['edit']
+             if readline_termcap_library:
+                 pass # Issue 7384: Already linked against curses or tinfo.
+             elif curses_library:
+--- Modules/readline.c.orig	2013-10-23 21:51:09.000000000 +0300
++++ Modules/readline.c	2013-10-23 22:10:09.000000000 +0300
+@@ -29,8 +29,7 @@
+ 
+ /* GNU readline definitions */
+ #undef HAVE_CONFIG_H /* Else readline/chardefs.h includes strings.h */
+-#include <readline/readline.h>
+-#include <readline/history.h>
++#include <editline/readline.h>
+ 
+ #ifdef HAVE_RL_COMPLETION_MATCHES
+ #define completion_matches(x, y) \
Index: dports/lang/python35/files/patch-setup.py-disabled_modules.diff
===================================================================
--- dports/lang/python35/files/patch-setup.py-disabled_modules.diff	(Revision 0)
+++ dports/lang/python35/files/patch-setup.py-disabled_modules.diff	(Arbeitskopie)
@@ -0,0 +1,11 @@
+--- setup.py.orig	2011-07-09 16:58:56.000000000 +1000
++++ setup.py	2011-07-13 20:50:12.000000000 +1000
+@@ -21,7 +21,7 @@
+ COMPILED_WITH_PYDEBUG = hasattr(sys, 'gettotalrefcount')
+ 
+ # This global variable is used to hold the list of modules to be disabled.
+-disabled_module_list = []
++disabled_module_list = ["_tkinter", "_gdbm"]
+ 
+ # File which contains the directory for shared mods (for sys.path fixup
+ # when running from the build dir, see Modules/getpath.c)
Index: dports/lang/python35/files/patch-setup.py.diff
===================================================================
--- dports/lang/python35/files/patch-setup.py.diff	(Revision 0)
+++ dports/lang/python35/files/patch-setup.py.diff	(Arbeitskopie)
@@ -0,0 +1,53 @@
+--- setup.py.orig	2012-08-13 17:01:43.000000000 +0300
++++ setup.py	2012-08-13 17:06:17.000000000 +0300
+@@ -1576,7 +1576,7 @@
+         # For 8.4a2, the X11 headers are not included. Rather than include a
+         # complicated search, this is a hard-coded path. It could bail out
+         # if X11 libs are not found...
+-        include_dirs.append('/usr/X11R6/include')
++        #include_dirs.append('/usr/X11R6/include')
+         frameworks = ['-framework', 'Tcl', '-framework', 'Tk']
+ 
+         # All existing framework builds of Tcl/Tk don't support 64-bit
+@@ -1621,13 +1621,6 @@
+     def detect_tkinter(self, inc_dirs, lib_dirs):
+         # The _tkinter module.
+ 
+-        # Rather than complicate the code below, detecting and building
+-        # AquaTk is a separate method. Only one Tkinter will be built on
+-        # Darwin - either AquaTk, if it is found, or X11 based Tk.
+-        if (host_platform == 'darwin' and
+-            self.detect_tkinter_darwin(inc_dirs, lib_dirs)):
+-            return
+-
+         # Assume we haven't found any of the libraries or include files
+         # The versions with dots are used on Unix, and the versions without
+         # dots on Windows, for detection by cygwin.
+@@ -1676,17 +1669,17 @@
+         if host_platform == 'sunos5':
+             include_dirs.append('/usr/openwin/include')
+             added_lib_dirs.append('/usr/openwin/lib')
+-        elif os.path.exists('/usr/X11R6/include'):
+-            include_dirs.append('/usr/X11R6/include')
+-            added_lib_dirs.append('/usr/X11R6/lib64')
+-            added_lib_dirs.append('/usr/X11R6/lib')
+-        elif os.path.exists('/usr/X11R5/include'):
+-            include_dirs.append('/usr/X11R5/include')
+-            added_lib_dirs.append('/usr/X11R5/lib')
+-        else:
++        #elif os.path.exists('/usr/X11R6/include'):
++        #    include_dirs.append('/usr/X11R6/include')
++        #    added_lib_dirs.append('/usr/X11R6/lib64')
++        #    added_lib_dirs.append('/usr/X11R6/lib')
++        #elif os.path.exists('/usr/X11R5/include'):
++        #    include_dirs.append('/usr/X11R5/include')
++        #    added_lib_dirs.append('/usr/X11R5/lib')
++        #else:
+             # Assume default location for X11
+-            include_dirs.append('/usr/X11/include')
+-            added_lib_dirs.append('/usr/X11/lib')
++        #    include_dirs.append('/usr/X11/include')
++        #    added_lib_dirs.append('/usr/X11/lib')
+ 
+         # If Cygwin, then verify that X is installed before proceeding
+         if host_platform == 'cygwin':
Index: dports/lang/python35/files/pyconfig.ed
===================================================================
--- dports/lang/python35/files/pyconfig.ed	(Revision 0)
+++ dports/lang/python35/files/pyconfig.ed	(Arbeitskopie)
@@ -0,0 +1,2 @@
+g,.*\(HAVE_POLL[_A-Z]*\).*,s,,/* #undef \1 */,
+w
Index: dports/lang/python35/files/pyconfig.h-universal.ed
===================================================================
--- dports/lang/python35/files/pyconfig.h-universal.ed	(Revision 0)
+++ dports/lang/python35/files/pyconfig.h-universal.ed	(Arbeitskopie)
@@ -0,0 +1,78 @@
+/DOUBLE_IS_BIG_ENDIAN_IEEE754/c
+#ifdef __BIG_ENDIAN__
+#define DOUBLE_IS_BIG_ENDIAN_IEEE754 1
+#else
+/* #undef DOUBLE_IS_BIG_ENDIAN_IEEE754 */
+#endif
+.
+/DOUBLE_IS_LITTLE_ENDIAN_IEEE754/c
+#ifdef __LITTLE_ENDIAN__
+#define DOUBLE_IS_LITTLE_ENDIAN_IEEE754 1
+#else
+/* #undef DOUBLE_IS_LITTLE_ENDIAN_IEEE754 */
+#endif
+.
+/HAVE_LARGEFILE_SUPPORT/c
+#ifdef __LP64__
+/* #undef HAVE_LARGEFILE_SUPPORT */
+#else
+#define HAVE_LARGEFILE_SUPPORT 1
+#endif
+.
+/SIZEOF_LONG/c
+#ifdef __LP64__
+#define SIZEOF_LONG 8
+#else
+#define SIZEOF_LONG 4
+#endif
+.
+/SIZEOF_PTHREAD_T/c
+#ifdef __LP64__
+#define SIZEOF_PTHREAD_T 8
+#else
+#define SIZEOF_PTHREAD_T 4
+#endif
+.
+/SIZEOF_SIZE_T/c
+#ifdef __LP64__
+#define SIZEOF_SIZE_T 8
+#else
+#define SIZEOF_SIZE_T 4
+#endif
+.
+/SIZEOF_TIME_T/c
+#ifdef __LP64__
+#define SIZEOF_TIME_T 8
+#else
+#define SIZEOF_TIME_T 4
+#endif
+.
+/SIZEOF_UINTPTR_T/c
+#ifdef __LP64__
+#define SIZEOF_UINTPTR_T 8
+#else
+#define SIZEOF_UINTPTR_T 4
+#endif
+.
+/SIZEOF_VOID_P/c
+#ifdef __LP64__
+#define SIZEOF_VOID_P 8
+#else
+#define SIZEOF_VOID_P 4
+#endif
+.
+/SIZEOF__BOOL/c
+#if defined(__LP64__) || !defined(__POWERPC__)
+#define SIZEOF__BOOL 1
+#else
+#define SIZEOF__BOOL 4
+#endif
+.
+/VA_LIST_IS_ARRAY/c
+#ifdef __LP64__
+#define VA_LIST_IS_ARRAY 1
+#else
+/* #undef VA_LIST_IS_ARRAY */
+#endif
+.
+w
Index: dports/lang/python35/files/python35
===================================================================
--- dports/lang/python35/files/python35	(Revision 0)
+++ dports/lang/python35/files/python35	(Arbeitskopie)
@@ -0,0 +1,13 @@
+bin/python3.5
+-
+bin/python3.5-config
+bin/idle3.5
+bin/pydoc3.5
+-
+bin/2to3-3.5
+share/man/man1/python3.5.0
+-
+${frameworks_dir}/Python.framework/Versions/3.5
+${frameworks_dir}/Python.framework/Versions/3.5/Headers
+${frameworks_dir}/Python.framework/Versions/3.5/Resources
+${frameworks_dir}/Python.framework/Versions/3.5/Python