Index: .
===================================================================
diff --git a/trunk/dports/kde/digikam/Portfile b/trunk/dports/kde/digikam/Portfile
--- a/trunk/dports/kde/digikam/Portfile	(revision 133331)
+++ b/trunk/dports/kde/digikam/Portfile	(working copy)
@@ -6,7 +6,8 @@
 PortGroup           compiler_blacklist_versions 1.0
 
 name                digikam
-version             4.0.0
+version             4.8.0
+revision            1
 categories          kde kde4
 license             GPL-2+
 maintainers         hyper-world.de:jan openmaintainer \
@@ -13,14 +14,14 @@
                     gmail.com:caulier.gilles
 platforms           darwin
 
-description         Photo Management Program
-long_description    Digital photo management program to import, organize, enhance, search and export your digital images.
+description         Photo Management Programme
+long_description    Digital photo management programme to import, organise, enhance, search and export your digital images.
 
 homepage            http://www.digikam.org/
 master_sites        kde:stable/digikam/
 
-checksums           rmd160 1ffc3e164772d031ff4b017598265bcd1934b919 \
-                    sha256 984f7a47a3fdd5b5b30991b436848ed420fbcfffa01ffaa3abdf7202848b17ae
+checksums           rmd160  93ceb3b3b98739254c97df5aefc2c3965a7a9011 \
+                    sha256  e20f84508f35fddcaec3b931efbc604a95050ec08c6796b6bc60a61cd58fa390
 
 use_bzip2           yes
 
@@ -35,7 +36,8 @@
                     port:jpeg \
                     port:libpng \
                     port:opencv \
-                    port:marble 
+                    port:marble
+depends_lib-append  port:libpgf
 
 # Dependencies of kipi-plugins
 
@@ -66,13 +68,15 @@
 depends_run-append  port:kde4-baseapps \
                     port:kde4-runtime \
                     port:oxygen-icons \
-                    port:qt4-mac-sqlite3-plugin 
-# Following dependencies are needed for Panorama and ExpoBlending tools, but
+                    port:qt4-mac-sqlite3-plugin
+# Following dependency is needed for the Panorama (and ExpoBlending?) tool, but
 # cannot be installed on Intel Macs currently as far as I know. Also they need
 # wxWidgets which currently cannot be installed with XCode of OS X 10.7 or
 # newer.
+# RJVB 20140918: hugin needs wxWidgets 3 nowadays, which introduces a dependency to another GUI framework. Users who
+# want the Panorama tool can install hugin-app manually and then build digikam from source
+# (or we could add yet another variant)
 #                   port:hugin-app \
-#                   port:enblend
 
 # kde4-baseapps is not universal
 universal_variant   no
@@ -84,13 +88,20 @@
 
 # Configurations rules to compile fine #####################################
 
-configure.args-append -DCMAKE_C_FLAGS='-D__KDE_HAVE_GCC_VISIBILITY' \
-                      -DCMAKE_CXX_FLAGS='-D__KDE_HAVE_GCC_VISIBILITY' \
-                      -DCMAKE_SYSTEM_PREFIX_PATH=\"${prefix}\;/usr\" \
-                      -DCMAKE_MODULE_PATH=\"${prefix}/share/cmake-2.8/Modules\;${prefix}/share/cmake/modules\" \
-                      -DCMAKE_PREFIX_PATH=\"${prefix}/lib/cmake\" \
-                      -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
+# 20140918: do we really need to specify the CMAKE_MODULE_PATH nowadays?
+# -DCMAKE_MODULE_PATH=\"${prefix}/share/cmake-2.8/Modules\;${prefix}/share/cmake/modules\" \
+# We do need to add ENABLE_KDEPIMLIBSSUPPORT though, otherwise the dependency on kdepimlibs4 is
+# there for nothing!
+# There also appears to be no (more) need to force-define __KDE_HAVE_GCC_VISIBILITY
+# -DCMAKE_CXX_FLAGS='-D__KDE_HAVE_GCC_VISIBILITY'
+#-DCMAKE_SYSTEM_PREFIX_PATH=\"${prefix}\;/usr\"
+#-DCMAKE_PREFIX_PATH=\"${prefix}/lib/cmake\"
+#-DCMAKE_BUILD_WITH_INSTALL_RPATH=ON
+
+configure.args-append -DENABLE_KDEPIMLIBSSUPPORT:BOOL=ON \
                       -DOpenCV_DIR=${prefix}/lib/cmake \
+                      -DDIGIKAMSC_COMPILE_LIBKGEOMAP:BOOL=ON -DDIGIKAMSC_COMPILE_LIBKVKONTAKTE:BOOL=ON \
+                      -DDIGIKAMSC_COMPILE_LIBMEDIAWIKI:BOOL=ON -DDIGIKAMSC_COMPILE_LIBKFACE:BOOL=ON \
                       -Wno-dev \
                       ../${distname}
 
@@ -101,7 +112,8 @@
 if {[variant_isset debug]} {
     configure.args-append -DCMAKE_BUILD_TYPE=debugfull
 } else {
-    configure.args-append -DCMAKE_BUILD_TYPE=releasewithdebug
+    # RJVB: use RelWithDebInfo instead of releasewithdebug, and prevent stripping
+    configure.args-append -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo -DCMAKE_STRIP:FILEPATH=/bin/echo
 }
 
 # Option to compile handbook
@@ -117,9 +129,9 @@
 variant translations description {Build digiKam GUI translations} {}
 
 if {[variant_isset translations]} {
-    configure.args-append -DDIGIKAMSC_COMPILE_PO=on
+    configure.args-append -DDIGIKAMSC_COMPILE_PO=ON
 } else {
-    configure.args-append -DDIGIKAMSC_COMPILE_PO=off
+    configure.args-append -DDIGIKAMSC_CHECKOUT_PO:BOOL=OFF -DDIGIKAMSC_COMPILE_PO=off
 }
 
 # Option to compile target using internal implementation of KdeGraphics shared libs maintained by digiKam team