Index: Portfile
===================================================================
--- Portfile	(revision 133789)
+++ Portfile	(working copy)
@@ -4,8 +4,8 @@
 PortSystem          1.0
 
 name                libfdk-aac
-version             0.1.3
-revision            1
+version             0.1.4
+revision            0
 categories          audio
 license             Restrictive
 platforms           darwin
@@ -13,8 +13,8 @@
 description         Fraunhofer FDK AAC Codec Library
 long_description    Fraunhofer FDK AAC Codec Library, released as part of Android, \
                     from the opencore-amr project.  High-quality encoding and decoding \
-                    of AAC audio supporting 5.1 channels, AAC-LC, Main profile, SBR, \
-                    and Parametric Stereo (HE-AAC v1 and v2).
+                    of AAC audio supporting 7.1 channels, AAC-LC, HE-AAC, HE-AACv2, \
+                    AAC-LD, and AAC-ELD.
 
 compiler.blacklist  gcc-4.2
 
@@ -21,11 +21,9 @@
 homepage            http://sourceforge.net/projects/opencore-amr/
 master_sites        sourceforge:project/opencore-amr/fdk-aac
 distname            fdk-aac-${version}
-checksums           rmd160  e9e4898e1af3315e106a255d2f0655ea49968341 \
-                    sha256  a9cb872802cfb7a2aff7a549c114c547d1e518dd60c2f85942229cc20c0d0c8d
+checksums           rmd160  570aa87ba8e05884f79425794692b47352532603 \
+                    sha256  5910fe788677ca13532e3f47b7afaa01d72334d46a2d5e1d1f080f1173ff15ab
 
-patchfiles          fdk-aac-ppc.diff
-
 livecheck.type      regex
 livecheck.url       http://sourceforge.net/projects/opencore-amr/files/fdk-aac/
 livecheck.regex     "fdk-aac-(\\d+(?:\\.\\d+)*)${extract.suffix}"
Index: files/fdk-aac-ppc.diff
===================================================================
--- files/fdk-aac-ppc.diff	(revision 133789)
+++ files/fdk-aac-ppc.diff	(working copy)
@@ -1,340 +0,0 @@
---- libFDK/include/FDK_archdef.h
-+++ libFDK/include/FDK_archdef.h
-@@ -107,6 +107,10 @@ amm-info@iis.fraunhofer.de
- #define __arm__
- #endif
- 
-+#if defined(_ARCH_PPC) && !defined(__powerpc__)
-+#define __powerpc__ 1
-+#endif
-+
- 
- 
- /* Define __ARM_ARCH_5TE__ if armv5te features are supported  */
-@@ -158,7 +162,7 @@ amm-info@iis.fraunhofer.de
- /* Define preferred Multiplication type */
- #if defined(FDK_HIGH_PERFORMANCE) && !defined(FDK_HIGH_QUALITY) /* FDK_HIGH_PERFORMANCE */
- 
--#if defined(__mips__) || defined(__powerpc__) || defined(__sh__)
-+#if defined(__mips__) || defined(__sh__)
- #define ARCH_PREFER_MULT_16x16
- #undef SINETABLE_16BIT
- #undef POW2COEFF_16BIT
-@@ -201,6 +205,14 @@ amm-info@iis.fraunhofer.de
- #define POW2COEFF_16BIT
- #define LDCOEFF_16BIT
- 
-+#elif defined(__powerpc__)
-+#define ARCH_PREFER_MULT_32x32
-+#define ARCH_PREFER_MULT_32x16
-+#define SINETABLE_16BIT
-+#define POW2COEFF_16BIT
-+#define LDCOEFF_16BIT
-+#define WINDOWTABLE_16BIT
-+
- #else
- 
-   #error  >>>> Please set architecture characterization defines for your platform (FDK_HIGH_PERFORMANCE)! <<<<
---- libFDK/include/clz.h
-+++ libFDK/include/clz.h
-@@ -103,6 +103,9 @@ amm-info@iis.fraunhofer.de
- #elif defined(__x86__)	/* cppp replaced: elif */
- #include "x86/clz_x86.h"
- 
-+#elif defined(__powerpc__)
-+#include "ppc/clz_ppc.h"
-+
- #endif /* all cores */
- 
- 
---- libFDK/include/common_fix.h
-+++ libFDK/include/common_fix.h
-@@ -226,7 +226,7 @@ FDK_INLINE FIXP_SGL fAbs(FIXP_SGL x)
-                 { return fixabs_S(x); }
- 
- /* workaround for TI C6x compiler but not for TI ARM9E compiler */
--#if (!defined(__TI_COMPILER_VERSION__) || defined(__TI_TMS470_V5__)) && !defined(__x86_64__)
-+#if (!defined(__TI_COMPILER_VERSION__) || defined(__TI_TMS470_V5__)) && !defined(__LP64__)
- FDK_INLINE INT  fAbs(INT x)
-                 { return fixabs_I(x); }
- #endif
-@@ -336,7 +336,7 @@ FDK_INLINE FIXP_SGL fMax(FIXP_SGL a, FIXP_SGL b)
-                 { return fixmax_S(a,b); }
- 
- /* workaround for TI C6x compiler but not for TI ARM9E */
--#if ((!defined(__TI_COMPILER_VERSION__) || defined(__TI_TMS470_V5__)) && !defined(__x86_64__)) || (FIX_FRACT == 1)
-+#if ((!defined(__TI_COMPILER_VERSION__) || defined(__TI_TMS470_V5__)) && !defined(__LP64__)) || (FIX_FRACT == 1)
- FDK_INLINE INT fMax(INT a, INT b)
-                 { return fixmax_I(a,b); }
- FDK_INLINE INT fMin(INT a, INT b)
---- libFDK/include/fixmul.h
-+++ libFDK/include/fixmul.h
-@@ -104,6 +104,9 @@ amm-info@iis.fraunhofer.de
- #elif defined(__x86__)	/* cppp replaced: elif */
- #include "x86/fixmul_x86.h"
- 
-+#elif defined(__powerpc__)
-+#include "ppc/fixmul_ppc.h"
-+
- #endif /* all cores */
- 
- /*************************************************************************
---- /dev/null
-+++ libFDK/include/ppc/clz_ppc.h
-@@ -0,0 +1,102 @@
-+
-+/* -----------------------------------------------------------------------------------------------------------
-+Software License for The Fraunhofer FDK AAC Codec Library for Android
-+
-+© Copyright  1995 - 2013 Fraunhofer-Gesellschaft zur Förderung der angewandten Forschung e.V.
-+  All rights reserved.
-+
-+ 1.    INTRODUCTION
-+The Fraunhofer FDK AAC Codec Library for Android ("FDK AAC Codec") is software that implements
-+the MPEG Advanced Audio Coding ("AAC") encoding and decoding scheme for digital audio.
-+This FDK AAC Codec software is intended to be used on a wide variety of Android devices.
-+
-+AAC's HE-AAC and HE-AAC v2 versions are regarded as today's most efficient general perceptual
-+audio codecs. AAC-ELD is considered the best-performing full-bandwidth communications codec by
-+independent studies and is widely deployed. AAC has been standardized by ISO and IEC as part
-+of the MPEG specifications.
-+
-+Patent licenses for necessary patent claims for the FDK AAC Codec (including those of Fraunhofer)
-+may be obtained through Via Licensing (www.vialicensing.com) or through the respective patent owners
-+individually for the purpose of encoding or decoding bit streams in products that are compliant with
-+the ISO/IEC MPEG audio standards. Please note that most manufacturers of Android devices already license
-+these patent claims through Via Licensing or directly from the patent owners, and therefore FDK AAC Codec
-+software may already be covered under those patent licenses when it is used for those licensed purposes only.
-+
-+Commercially-licensed AAC software libraries, including floating-point versions with enhanced sound quality,
-+are also available from Fraunhofer. Users are encouraged to check the Fraunhofer website for additional
-+applications information and documentation.
-+
-+2.    COPYRIGHT LICENSE
-+
-+Redistribution and use in source and binary forms, with or without modification, are permitted without
-+payment of copyright license fees provided that you satisfy the following conditions:
-+
-+You must retain the complete text of this software license in redistributions of the FDK AAC Codec or
-+your modifications thereto in source code form.
-+
-+You must retain the complete text of this software license in the documentation and/or other materials
-+provided with redistributions of the FDK AAC Codec or your modifications thereto in binary form.
-+You must make available free of charge copies of the complete source code of the FDK AAC Codec and your
-+modifications thereto to recipients of copies in binary form.
-+
-+The name of Fraunhofer may not be used to endorse or promote products derived from this library without
-+prior written permission.
-+
-+You may not charge copyright license fees for anyone to use, copy or distribute the FDK AAC Codec
-+software or your modifications thereto.
-+
-+Your modified versions of the FDK AAC Codec must carry prominent notices stating that you changed the software
-+and the date of any change. For modified versions of the FDK AAC Codec, the term
-+"Fraunhofer FDK AAC Codec Library for Android" must be replaced by the term
-+"Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android."
-+
-+3.    NO PATENT LICENSE
-+
-+NO EXPRESS OR IMPLIED LICENSES TO ANY PATENT CLAIMS, including without limitation the patents of Fraunhofer,
-+ARE GRANTED BY THIS SOFTWARE LICENSE. Fraunhofer provides no warranty of patent non-infringement with
-+respect to this software.
-+
-+You may use this FDK AAC Codec software or modifications thereto only for purposes that are authorized
-+by appropriate patent licenses.
-+
-+4.    DISCLAIMER
-+
-+This FDK AAC Codec software is provided by Fraunhofer on behalf of the copyright holders and contributors
-+"AS IS" and WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, including but not limited to the implied warranties
-+of merchantability and fitness for a particular purpose. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
-+CONTRIBUTORS BE LIABLE for any direct, indirect, incidental, special, exemplary, or consequential damages,
-+including but not limited to procurement of substitute goods or services; loss of use, data, or profits,
-+or business interruption, however caused and on any theory of liability, whether in contract, strict
-+liability, or tort (including negligence), arising in any way out of the use of this software, even if
-+advised of the possibility of such damage.
-+
-+5.    CONTACT INFORMATION
-+
-+Fraunhofer Institute for Integrated Circuits IIS
-+Attention: Audio and Multimedia Departments - FDK AAC LL
-+Am Wolfsmantel 33
-+91058 Erlangen, Germany
-+
-+www.iis.fraunhofer.de/amm
-+amm-info@iis.fraunhofer.de
-+----------------------------------------------------------------------------------------------------------- */
-+
-+/***************************  Fraunhofer IIS FDK Tools  **********************
-+
-+   Author(s):
-+   Description: fixed point intrinsics
-+
-+******************************************************************************/
-+
-+#if defined(__powerpc__) && (defined(__GNUC__) || defined(__xlC__))
-+
-+#define FUNCTION_fixnormz_D
-+
-+inline INT fixnormz_D(LONG value)
-+{
-+  INT result;
-+  __asm__ ("cntlzw %0, %1" : "=r" (result) : "r" (value));
-+  return result;
-+}
-+
-+#endif /* __powerpc__ && (__GNUC__ || __xlC__) */
---- /dev/null
-+++ libFDK/include/ppc/fixmul_ppc.h
-@@ -0,0 +1,115 @@
-+
-+/* -----------------------------------------------------------------------------------------------------------
-+Software License for The Fraunhofer FDK AAC Codec Library for Android
-+
-+© Copyright  1995 - 2013 Fraunhofer-Gesellschaft zur Förderung der angewandten Forschung e.V.
-+  All rights reserved.
-+
-+ 1.    INTRODUCTION
-+The Fraunhofer FDK AAC Codec Library for Android ("FDK AAC Codec") is software that implements
-+the MPEG Advanced Audio Coding ("AAC") encoding and decoding scheme for digital audio.
-+This FDK AAC Codec software is intended to be used on a wide variety of Android devices.
-+
-+AAC's HE-AAC and HE-AAC v2 versions are regarded as today's most efficient general perceptual
-+audio codecs. AAC-ELD is considered the best-performing full-bandwidth communications codec by
-+independent studies and is widely deployed. AAC has been standardized by ISO and IEC as part
-+of the MPEG specifications.
-+
-+Patent licenses for necessary patent claims for the FDK AAC Codec (including those of Fraunhofer)
-+may be obtained through Via Licensing (www.vialicensing.com) or through the respective patent owners
-+individually for the purpose of encoding or decoding bit streams in products that are compliant with
-+the ISO/IEC MPEG audio standards. Please note that most manufacturers of Android devices already license
-+these patent claims through Via Licensing or directly from the patent owners, and therefore FDK AAC Codec
-+software may already be covered under those patent licenses when it is used for those licensed purposes only.
-+
-+Commercially-licensed AAC software libraries, including floating-point versions with enhanced sound quality,
-+are also available from Fraunhofer. Users are encouraged to check the Fraunhofer website for additional
-+applications information and documentation.
-+
-+2.    COPYRIGHT LICENSE
-+
-+Redistribution and use in source and binary forms, with or without modification, are permitted without
-+payment of copyright license fees provided that you satisfy the following conditions:
-+
-+You must retain the complete text of this software license in redistributions of the FDK AAC Codec or
-+your modifications thereto in source code form.
-+
-+You must retain the complete text of this software license in the documentation and/or other materials
-+provided with redistributions of the FDK AAC Codec or your modifications thereto in binary form.
-+You must make available free of charge copies of the complete source code of the FDK AAC Codec and your
-+modifications thereto to recipients of copies in binary form.
-+
-+The name of Fraunhofer may not be used to endorse or promote products derived from this library without
-+prior written permission.
-+
-+You may not charge copyright license fees for anyone to use, copy or distribute the FDK AAC Codec
-+software or your modifications thereto.
-+
-+Your modified versions of the FDK AAC Codec must carry prominent notices stating that you changed the software
-+and the date of any change. For modified versions of the FDK AAC Codec, the term
-+"Fraunhofer FDK AAC Codec Library for Android" must be replaced by the term
-+"Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android."
-+
-+3.    NO PATENT LICENSE
-+
-+NO EXPRESS OR IMPLIED LICENSES TO ANY PATENT CLAIMS, including without limitation the patents of Fraunhofer,
-+ARE GRANTED BY THIS SOFTWARE LICENSE. Fraunhofer provides no warranty of patent non-infringement with
-+respect to this software.
-+
-+You may use this FDK AAC Codec software or modifications thereto only for purposes that are authorized
-+by appropriate patent licenses.
-+
-+4.    DISCLAIMER
-+
-+This FDK AAC Codec software is provided by Fraunhofer on behalf of the copyright holders and contributors
-+"AS IS" and WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, including but not limited to the implied warranties
-+of merchantability and fitness for a particular purpose. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
-+CONTRIBUTORS BE LIABLE for any direct, indirect, incidental, special, exemplary, or consequential damages,
-+including but not limited to procurement of substitute goods or services; loss of use, data, or profits,
-+or business interruption, however caused and on any theory of liability, whether in contract, strict
-+liability, or tort (including negligence), arising in any way out of the use of this software, even if
-+advised of the possibility of such damage.
-+
-+5.    CONTACT INFORMATION
-+
-+Fraunhofer Institute for Integrated Circuits IIS
-+Attention: Audio and Multimedia Departments - FDK AAC LL
-+Am Wolfsmantel 33
-+91058 Erlangen, Germany
-+
-+www.iis.fraunhofer.de/amm
-+amm-info@iis.fraunhofer.de
-+----------------------------------------------------------------------------------------------------------- */
-+
-+/***************************  Fraunhofer IIS FDK Tools  **********************
-+
-+   Author(s):
-+   Description: fixed point intrinsics
-+
-+******************************************************************************/
-+
-+#if defined(__powerpc__) && (defined(__GNUC__) || defined(__xlC__))
-+
-+#define FUNCTION_fixmuldiv2_DD
-+
-+#define FUNCTION_fixmuldiv2BitExact_DD
-+#define fixmuldiv2BitExact_DD(a,b) fixmuldiv2_DD(a,b)
-+
-+#define FUNCTION_fixmulBitExact_DD
-+#define fixmulBitExact_DD(a,b) fixmul_DD(a,b)
-+
-+#define FUNCTION_fixmuldiv2BitExact_DS
-+#define fixmuldiv2BitExact_DS(a,b) fixmuldiv2_DS(a,b)
-+
-+#define FUNCTION_fixmulBitExact_DS
-+#define fixmulBitExact_DS(a,b) fixmul_DS(a,b)
-+
-+
-+inline INT fixmuldiv2_DD (const INT a, const INT b)
-+{
-+  INT result;
-+  __asm__ ("mulhw %0, %1, %2" : "=r" (result) : "r" (a), "r" (b));
-+  return result;
-+}
-+
-+#endif /* __powerpc__ && (__GNUC__ || __xlC__) */
---- libSYS/include/machine_type.h
-+++ libSYS/include/machine_type.h
-@@ -154,15 +154,15 @@ amm-info@iis.fraunhofer.de
- 
-   typedef signed int INT;
-   typedef unsigned int UINT;
--#ifdef __x86_64__
-+#ifdef __LP64__
-   /* force FDK long-datatypes to 4 byte  */
-   /* jdr: Use defines to avoid type alias problems on 64 bit machines. */
-   #define LONG INT
-   #define ULONG UINT
--#else /* __x86_64__ */
-+#else /* __LP64__ */
-   typedef signed long LONG;
-   typedef unsigned long ULONG;
--#endif	/* __x86_64__ */
-+#endif	/* __LP64__ */
-   typedef signed short SHORT;
-   typedef unsigned short USHORT;
-   typedef signed char SCHAR;
---- libSYS/src/genericStds.cpp
-+++ libSYS/src/genericStds.cpp
-@@ -92,10 +92,10 @@ amm-info@iis.fraunhofer.de
- 
- #define _CRT_SECURE_NO_WARNINGS
- 
--#include "genericStds.h"
--
- #include <math.h>
- 
-+#include "genericStds.h"
-+
- /* library info */
- #define SYS_LIB_VL0 1
- #define SYS_LIB_VL1 3